For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all groups
      • POSTCreate a group
      • GETRetrieve a group
      • PUTUpdate a group
      • GETList employees in a group
      • POSTAdd an employee to a group
      • POSTCheck employee eligibility for a group
    • API Errors
Get access
LogoLogo
API ReferenceGroups

List all groups

GET
/groups
GET
/groups
$curl https://test.api.kota.io/groups \
> -H "Authorization: Bearer <apiKey>"
200Retrieved
1{
2 "items": [
3 {
4 "id": "gr_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "name": "string",
6 "status": "pending",
7 "group_type": "undefined",
8 "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
9 "group_policy_ids": [
10 "gp_3b1333d87d9d4fd6ad83ba7f6b0e951a"
11 ],
12 "group_quote_intent_ids": [
13 "gqi_3b1333d87d9d4fd6ad83ba7f6b0e951a"
14 ],
15 "group_policy_intent_ids": [
16 "gpi_3b1333d87d9d4fd6ad83ba7f6b0e951a"
17 ],
18 "object": "string"
19 }
20 ],
21 "page": 123,
22 "page_size": 123,
23 "total_count": 123,
24 "has_next_page": true,
25 "has_previous_page": true
26}

Returns a list of your groups. The groups are returned sorted by creation date, with the most recent groups appearing first.

Previous

Reject a group quote intent

Next

Create a group

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Query parameters

employer_idstringOptionalformat: "er_.+"
Filter by employer ID.
statusstringOptional

Multiple values can be provided by separating them with a comma. Allowed values are: pending, ready, archived.

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page